Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class SessionImpl

    java.lang.Object
      com.beasys.commerce.foundation.SessionImpl

All Implemented Interfaces
  Serializable, javax.ejb.EnterpriseBean, javax.ejb.SessionBean

Direct Known Subclasses:
  CatalogServiceImpl, CatalogWSImpl, DecryptorImpl, EncryptorImpl, ShippingHelperImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class SessionImpl

extends Object
implements javax.ejb.SessionBean

This is the base implementation of the Business Smart Component (BSC) Session interface. For each BSC Session derived interface, there will be a corresponding BSC SessionImpl with business methods that are mirrored. It also provides storage for an SessionContext and an implementation of the Set and Get Session Context methods.

See Also
  `

  Session Beans also implement the SmartUpdate API. See the EntityImpl comments for more details. Although SmartUpdate is intended primarily for BMP, Session Beans may find it useful as well.

  `, Serialized Form

Field Summary
`javax.ejb.SessionContext` | `_ctx` Deprecated See BEA Commerce product offering
`protected Context` | `_environmentNamingContext` Deprecated See BEA Commerce product offering
`protected Hashtable` | `_environmentPropertyCache` Deprecated See BEA Commerce product offering
`protected boolean` | `_isDirty` Deprecated See BEA Commerce product offering

Constructor Summary
`SessionImpl()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Collection collection, Object o)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map)` Deprecated See BEA Commerce product offering
`void` | `clearRelationalBinding(String attributeIdentifier, Map map, Object key)` Deprecated See BEA Commerce product offering
`protected Collection` | `doRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated See BEA Commerce product offering
`protected Map` | `doRelationalBinding(String attributeIdentifier, Map map)` Deprecated See BEA Commerce product offering
`protected Belonging` | `doRelationalBindingOnElement(String attributeIdentifier, Belonging value)` Deprecated See BEA Commerce product offering
`protected javax.ejb.EJBObject` | `doRelationalBindingOnElement(String attributeIdentifier, javax.ejb.EJBObject value)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingOnElement(String attributeIdentifier, Object value)` Deprecated See BEA Commerce product offering
`protected Belonging` | `doRelationalBindingOnSingleton(String attributeIdentifier, Belonging value)` Deprecated See BEA Commerce product offering
`protected javax.ejb.EJBObject` | `doRelationalBindingOnSingleton(String attributeIdentifier, javax.ejb.EJBObject ejbObject)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingOnSingleton(String attributeIdentifier, Object value)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Belonging belonging, Object key)` Deprecated See BEA Commerce product offering
`protected javax.ejb.EJBObject` | `doRelationalBindingWithMapKey(String attributeIdentifier, javax.ejb.EJBObject ejbObject, Object key)` Deprecated See BEA Commerce product offering
`protected Object` | `doRelationalBindingWithMapKey(String attributeIdentifier, Object object, Object key)` Deprecated See BEA Commerce product offering
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`void` | `ejbCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate()` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`protected Collection` | `enumerateRelationalBinding(String attributeIdentifier, Collection collection)` Deprecated See BEA Commerce product offering
`protected Map` | `enumerateRelationalBinding(String attributeIdentifier, Map map)` Deprecated See BEA Commerce product offering
`protected Context` | `getEnvironmentNamingContext()` Deprecated See BEA Commerce product offering
`Object` | `getEnvironmentProperty(String propertyName)` Deprecated See BEA Commerce product offering
`Object` | `getEnvironmentProperty(String propertyName, Object defaultValue)` Deprecated See BEA Commerce product offering
`protected Hashtable` | `getEnvironmentPropertyCache()` Deprecated See BEA Commerce product offering
`PersistenceHelperPlugin` | `getPersistenceHelperPlugin()` Deprecated See BEA Commerce product offering
`javax.ejb.SessionContext` | `getSessionContext()` Deprecated See BEA Commerce product offering
`void` | `setSessionContext(javax.ejb.SessionContext ctx)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _isDirty

    protected transient boolean _isDirty

  Deprecated See BEA Commerce product offering

### _ctx

    public javax.ejb.SessionContext _ctx

  Deprecated See BEA Commerce product offering

### _environmentNamingContext

    protected transient Context _environmentNamingContext

  Deprecated See BEA Commerce product offering

### _environmentPropertyCache

    protected transient Hashtable _environmentPropertyCache

  Deprecated See BEA Commerce product offering

Constructor Detail

### SessionImpl

    public SessionImpl()

  Deprecated See BEA Commerce product offering

  SessionImpl constructor.

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException,
                          javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  ejbCreate method.

  Throws
    `javax.ejb.CreateException`
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### ejbPostCreate

    public void ejbPostCreate()
                       throws javax.ejb.CreateException,
                              javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  ejbPostCreate method.

  Throws
    `javax.ejb.CreateException`
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext ctx)
                           throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  setSessionContext method.

  Specified by:
    `setSessionContext` in interface `javax.ejb.SessionBean`
  Throws
    `javax.ejb.EJBException`

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

  Deprecated See BEA Commerce product offering

  getSessionContext method.

### getEnvironmentNamingContext

    protected Context getEnvironmentNamingContext()
                                           throws NamingException

  Deprecated See BEA Commerce product offering

  Returns the bean's environment naming context.

  Throws
    `NamingException` - - if a naming exception is encountered

### getEnvironmentPropertyCache

    protected Hashtable getEnvironmentPropertyCache()

  Deprecated See BEA Commerce product offering

  Returns the bean's environment property cache

### getEnvironmentProperty

    public Object getEnvironmentProperty(String propertyName)
                                  throws NamingException

  Deprecated See BEA Commerce product offering

  This method returns the value of the specified environment property.

  Throws
    `NamingException` - - if a naming exception is encountered

### getEnvironmentProperty

    public Object getEnvironmentProperty(String propertyName,
                                         Object defaultValue)
                                  throws NamingException

  Deprecated See BEA Commerce product offering

  This method returns the value of the specified environment property or the specified default value if the environment property is not found.

  Throws
    `NamingException` - - if a naming exception is encountered

### doRelationalBindingOnElement

    protected Object doRelationalBindingOnElement(String attributeIdentifier,
                                                  Object value)

  Deprecated See BEA Commerce product offering

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnElement

    protected Belonging doRelationalBindingOnElement(String attributeIdentifier,
                                                     Belonging value)

  Deprecated See BEA Commerce product offering

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnElement

    protected javax.ejb.EJBObject doRelationalBindingOnElement(String attributeIdentifier,
                                                               javax.ejb.EJBObject value)

  Deprecated See BEA Commerce product offering

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingOnSingleton

    protected Object doRelationalBindingOnSingleton(String attributeIdentifier,
                                                    Object value)

  Deprecated See BEA Commerce product offering

  Add relational information to a dependent object. This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `value` - instance of a dependent object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value with relational information added.

### doRelationalBindingOnSingleton

    protected Belonging doRelationalBindingOnSingleton(String attributeIdentifier,
                                                       Belonging value)

  Deprecated See BEA Commerce product offering

  Add relational information to a belonging This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `belonging` - instance of a belonging
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational inforamtion added.

### doRelationalBindingOnSingleton

    protected javax.ejb.EJBObject doRelationalBindingOnSingleton(String attributeIdentifier,
                                                                 javax.ejb.EJBObject ejbObject)

  Deprecated See BEA Commerce product offering

  Add relational information to an EJBObject This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `ejbObject` - instance of an EJB object
    `entityImpl` - implementation of an entity bean
  Returns
    the input value, with relational information added.

### doRelationalBindingWithMapKey

    protected Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Object object,
                                                   Object key)

  Deprecated See BEA Commerce product offering

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected javax.ejb.EJBObject doRelationalBindingWithMapKey(String attributeIdentifier,
                                                                javax.ejb.EJBObject ejbObject,
                                                                Object key)

  Deprecated See BEA Commerce product offering

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBindingWithMapKey

    protected Object doRelationalBindingWithMapKey(String attributeIdentifier,
                                                   Belonging belonging,
                                                   Object key)

  Deprecated See BEA Commerce product offering

  Add relational information to an element in a map, AND synchronize the element with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected Collection doRelationalBinding(String attributeIdentifier,
                                             Collection collection)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a collection, AND synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### doRelationalBinding

    protected Map doRelationalBinding(String attributeIdentifier,
                                      Map map)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a map, AND synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### enumerateRelationalBinding

    protected Collection enumerateRelationalBinding(String attributeIdentifier,
                                                    Collection collection)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a collection, but do not synchronize the collection with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `collection` - the target collection
  Returns
    the input collection

### enumerateRelationalBinding

    protected Map enumerateRelationalBinding(String attributeIdentifier,
                                             Map map)

  Deprecated See BEA Commerce product offering

  Add relational information to each element in a map, but do not synchronize the map with the persistence cache This feature is implemented by a plugin and by default is turned off

  Parameters
    `attributeIdentifier` - identifier for an attribute on a bean e.g. examples.buybeans.BeanieHat.numberOfPropellers
    `map` - the target map
  Returns
    the input map

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Collection collection,
                                       Object o)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map,
                                       Object key)

  Deprecated See BEA Commerce product offering

### clearRelationalBinding

    public void clearRelationalBinding(String attributeIdentifier,
                                       Map map)

  Deprecated See BEA Commerce product offering

### getPersistenceHelperPlugin

    public PersistenceHelperPlugin getPersistenceHelperPlugin()

  Deprecated See BEA Commerce product offering

  Instantiates PersistenceHelperPlugin based on "...PersistenceHelperPlugin" property in commerce.properties file. This property can be specified either for each session, or as a "DefaultPersistenceHelperPlugin" property.

  Returns
    PersistenceHelperPlugin specific class that implements PersistenceHelperPlugin or null, if no HelperPlugin is specified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved